import runpy
import sys
import click


@click.group(invoke_without_command=True)
@click.version_option(prog_name="dromi")
@click.pass_context
def main(ctx):
    if ctx.invoked_subcommand is None:
        print_help()


@main.command()
def build_reqs():
    click.echo("TODO: run pip-compile")


@main.command()
def format():
    sys.argv[1:] = ["."]
    runpy.run_module("black")


@main.command()
def lint():
    click.echo("TODO: run linter")


@main.command()
def test():
    click.echo("TODO: setup env, run pytest")


def print_help():
    ctx = click.get_current_context()
    click.echo(ctx.get_help())


if __name__ == "__main__":
    main()
